<?php
/**
 * The custom template to display the content
 *
 * Used for index/archive/search.
 *
 * @package FRIBBO
 * @since FRIBBO 1.0.50
 */

$fribbo_template_args = get_query_var( 'fribbo_template_args' );
if ( is_array( $fribbo_template_args ) ) {
	$fribbo_columns    = empty( $fribbo_template_args['columns'] ) ? 2 : max( 1, $fribbo_template_args['columns'] );
	$fribbo_blog_style = array( $fribbo_template_args['type'], $fribbo_columns );
} else {
	$fribbo_blog_style = explode( '_', fribbo_get_theme_option( 'blog_style' ) );
	$fribbo_columns    = empty( $fribbo_blog_style[1] ) ? 2 : max( 1, $fribbo_blog_style[1] );
}
$fribbo_blog_id       = fribbo_get_custom_blog_id( join( '_', $fribbo_blog_style ) );
$fribbo_blog_style[0] = str_replace( 'blog-custom-', '', $fribbo_blog_style[0] );
$fribbo_expanded      = ! fribbo_sidebar_present() && fribbo_get_theme_option( 'expand_content' ) == 'expand';
$fribbo_components    = ! empty( $fribbo_template_args['meta_parts'] )
							? ( is_array( $fribbo_template_args['meta_parts'] )
								? join( ',', $fribbo_template_args['meta_parts'] )
								: $fribbo_template_args['meta_parts']
								)
							: fribbo_array_get_keys_by_value( fribbo_get_theme_option( 'meta_parts' ) );
$fribbo_post_format   = get_post_format();
$fribbo_post_format   = empty( $fribbo_post_format ) ? 'standard' : str_replace( 'post-format-', '', $fribbo_post_format );

$fribbo_blog_meta     = fribbo_get_custom_layout_meta( $fribbo_blog_id );
$fribbo_custom_style  = ! empty( $fribbo_blog_meta['scripts_required'] ) ? $fribbo_blog_meta['scripts_required'] : 'none';

if ( ! empty( $fribbo_template_args['slider'] ) || $fribbo_columns > 1 || ! fribbo_is_off( $fribbo_custom_style ) ) {
	?><div class="
		<?php
		if ( ! empty( $fribbo_template_args['slider'] ) ) {
			echo 'slider-slide swiper-slide';
		} else {
			echo esc_attr( ( fribbo_is_off( $fribbo_custom_style ) ? 'column' : sprintf( '%1$s_item %1$s_item', $fribbo_custom_style ) ) . "-1_{$fribbo_columns}" );
		}
		?>
	">
	<?php
}
?>
<article id="post-<?php the_ID(); ?>" data-post-id="<?php the_ID(); ?>"
	<?php
	post_class(
			'post_item post_item_container post_format_' . esc_attr( $fribbo_post_format )
					. ' post_layout_custom post_layout_custom_' . esc_attr( $fribbo_columns )
					. ' post_layout_' . esc_attr( $fribbo_blog_style[0] )
					. ' post_layout_' . esc_attr( $fribbo_blog_style[0] ) . '_' . esc_attr( $fribbo_columns )
					. ( ! fribbo_is_off( $fribbo_custom_style )
						? ' post_layout_' . esc_attr( $fribbo_custom_style )
							. ' post_layout_' . esc_attr( $fribbo_custom_style ) . '_' . esc_attr( $fribbo_columns )
						: ''
						)
		);
	fribbo_add_blog_animation( $fribbo_template_args );
	?>
>
	<?php
	// Sticky label
	if ( is_sticky() && ! is_paged() ) {
		?>
		<span class="post_label label_sticky"></span>
		<?php
	}
	// Custom layout
	do_action( 'fribbo_action_show_layout', $fribbo_blog_id, get_the_ID() );
	?>
</article><?php
if ( ! empty( $fribbo_template_args['slider'] ) || $fribbo_columns > 1 || ! fribbo_is_off( $fribbo_custom_style ) ) {
	?></div><?php
	// Need opening PHP-tag above just after </div>, because <div> is a inline-block element (used as column)!
}
