<?php
/**
 * The template to display the logo or the site name and the slogan in the Header
 *
 * @package FRIBBO
 * @since FRIBBO 1.0
 */

$fribbo_args = get_query_var( 'fribbo_logo_args' );

// Site logo
$fribbo_logo_type   = isset( $fribbo_args['type'] ) ? $fribbo_args['type'] : '';
$fribbo_logo_image  = fribbo_get_logo_image( $fribbo_logo_type );
$fribbo_logo_text   = fribbo_is_on( fribbo_get_theme_option( 'logo_text' ) ) ? get_bloginfo( 'name' ) : '';
$fribbo_logo_slogan = get_bloginfo( 'description', 'display' );
if ( ! empty( $fribbo_logo_image['logo'] ) || ! empty( $fribbo_logo_text ) ) {
	?><a class="sc_layouts_logo" href="<?php echo esc_url( home_url( '/' ) ); ?>">
		<?php
		if ( ! empty( $fribbo_logo_image['logo'] ) ) {
			if ( empty( $fribbo_logo_type ) && function_exists( 'the_custom_logo' ) && (int) $fribbo_logo_image['logo'] > 0 ) {
				the_custom_logo();
			} else {
				$fribbo_attr = fribbo_getimagesize( $fribbo_logo_image['logo'] );
				echo '<img src="' . esc_url( $fribbo_logo_image['logo'] ) . '"'
						. ( ! empty( $fribbo_logo_image['logo_retina'] ) ? ' srcset="' . esc_url( $fribbo_logo_image['logo_retina'] ) . ' 2x"' : '' )
						. ' alt="' . esc_attr( $fribbo_logo_text ) . '"'
						. ( ! empty( $fribbo_attr[3] ) ? ' ' . wp_kses_data( $fribbo_attr[3] ) : '' )
						. '>';
			}
		} else {
			fribbo_show_layout( fribbo_prepare_macros( $fribbo_logo_text ), '<span class="logo_text">', '</span>' );
			fribbo_show_layout( fribbo_prepare_macros( $fribbo_logo_slogan ), '<span class="logo_slogan">', '</span>' );
		}
		?>
	</a>
	<?php
}
