<?php
/**
 * The template to display Admin notices
 *
 * @package FRIBBO
 * @since FRIBBO 1.0.64
 */

$fribbo_skins_url  = get_admin_url( null, 'admin.php?page=trx_addons_theme_panel#trx_addons_theme_panel_section_skins' );
$fribbo_skins_args = get_query_var( 'fribbo_skins_notice_args' );

?>
<div class="fribbo_admin_notice fribbo_skins_notice update-nag">
	<?php
	// Theme image
	$fribbo_theme_img = fribbo_get_file_url( 'screenshot.jpg' );
	if ( '' != $fribbo_theme_img ) {
		?>
		<div class="fribbo_notice_image"><img src="<?php echo esc_url( $fribbo_theme_img ); ?>" alt="<?php esc_attr_e( 'Theme screenshot', 'fribbo' ); ?>"></div>
		<?php
	}

	// Title
	?>
	<h3 class="fribbo_notice_title">
		<?php esc_html_e( 'New skins available', 'fribbo' ); ?>
	</h3>
	<?php

	// Description
	$fribbo_total      = $fribbo_skins_args['update'];	// Store value to the separate variable to avoid warnings from ThemeCheck plugin!
	$fribbo_skins_msg  = $fribbo_total > 0
							// Translators: Add new skins number
							? '<strong>' . sprintf( _n( '%d new version', '%d new versions', $fribbo_total, 'fribbo' ), $fribbo_total ) . '</strong>'
							: '';
	$fribbo_total      = $fribbo_skins_args['free'];
	$fribbo_skins_msg .= $fribbo_total > 0
							? ( ! empty( $fribbo_skins_msg ) ? ' ' . esc_html__( 'and', 'fribbo' ) . ' ' : '' )
								// Translators: Add new skins number
								. '<strong>' . sprintf( _n( '%d free skin', '%d free skins', $fribbo_total, 'fribbo' ), $fribbo_total ) . '</strong>'
							: '';
	$fribbo_total      = $fribbo_skins_args['pay'];
	$fribbo_skins_msg .= $fribbo_skins_args['pay'] > 0
							? ( ! empty( $fribbo_skins_msg ) ? ' ' . esc_html__( 'and', 'fribbo' ) . ' ' : '' )
								// Translators: Add new skins number
								. '<strong>' . sprintf( _n( '%d paid skin', '%d paid skins', $fribbo_total, 'fribbo' ), $fribbo_total ) . '</strong>'
							: '';
	?>
	<div class="fribbo_notice_text">
		<p>
			<?php
			// Translators: Add new skins info
			echo wp_kses_data( sprintf( __( "We are pleased to announce that %s are available for your theme", 'fribbo' ), $fribbo_skins_msg ) );
			?>
		</p>
	</div>
	<?php

	// Buttons
	?>
	<div class="fribbo_notice_buttons">
		<?php
		// Link to the theme dashboard page
		?>
		<a href="<?php echo esc_url( $fribbo_skins_url ); ?>" class="button button-primary"><i class="dashicons dashicons-update"></i> 
			<?php
			// Translators: Add theme name
			esc_html_e( 'Go to Skins manager', 'fribbo' );
			?>
		</a>
		<?php
		// Dismiss
		?>
		<a href="#" data-notice="skins" class="fribbo_hide_notice"><i class="dashicons dashicons-dismiss"></i> <span class="fribbo_hide_notice_text"><?php esc_html_e( 'Dismiss', 'fribbo' ); ?></span></a>
	</div>
</div>
